VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
vst2persistence.h File Reference
`#include "public.sdk/source/vst/utility/optional.h"`
`#include "pluginterfaces/base/ibstream.h"`
`#include <string>`
`#include <vector>`

## Classes
struct | Vst2xProgram
| structure holding the content of a vst2 fxp format stream More...
struct | Vst2xState
| structure holding the content of a vst2 fxb format stream More...

## Namespaces
namespace | VST3

## Typedefs
using | Vst2xChunk = std::vector<int8_t>

## Functions
Optional< Vst2xState > | tryVst2StateLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID={}) noexcept
| Try loading the state from an old vst2 fxb format stream.
bool | writeVst2State (const Vst2xState &state, Steinberg::IBStream &stream, bool writeBypassState=true) noexcept
| Write a vst2 fxb stream.
Optional< Vst2xProgram > | tryVst2ProgramLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID) noexcept
| Try loading the state from on old vst2 fxp format stream.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.